import baseProperty from "./_baseProperty.mjs";
import basePropertyDeep from "./_basePropertyDeep.mjs";
import isKey from "./_isKey.mjs";
import toKey from "./_toKey.mjs";
function property(path) {
  return isKey(path) ? baseProperty(toKey(path)) : basePropertyDeep(path);
}
export {
  property as default
};
